Package org.kapott.hbci.sepa.jaxb.pain_008_001_01

## Class GroupHeader20

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_001_01.GroupHeader20

    public class GroupHeader20
    extends java.lang.Object

Java class for GroupHeader20 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GroupHeader20">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MsgId" type="{urn:sepade:xsd:pain.008.001.01}Max35Text"/>
             <element name="CreDtTm" type="{urn:sepade:xsd:pain.008.001.01}ISODateTime"/>
             <element name="NbOfTxs" type="{urn:sepade:xsd:pain.008.001.01}Max15NumericText"/>
             <element name="CtrlSum" type="{urn:sepade:xsd:pain.008.001.01}DecimalNumber" minOccurs="0"/>
             <element name="Grpg" type="{urn:sepade:xsd:pain.008.001.01}Grouping2Code"/>
             <element name="InitgPty" type="{urn:sepade:xsd:pain.008.001.01}PartyIdentification20"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected javax.xml.datatype.XMLGregorianCalendar` `creDtTm`
`protected java.math.BigDecimal` `ctrlSum`
`protected Grouping2Code` `grpg`
`protected PartyIdentification20` `initgPty`
`protected java.lang.String` `msgId`
`protected java.lang.String` `nbOfTxs`

### Constructor Summary

Constructors
`GroupHeader20()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.xml.datatype.XMLGregorianCalendar` `getCreDtTm()` Gets the value of the creDtTm property.
`java.math.BigDecimal` `getCtrlSum()` Gets the value of the ctrlSum property.
`Grouping2Code` `getGrpg()` Gets the value of the grpg property.
`PartyIdentification20` `getInitgPty()` Gets the value of the initgPty property.
`java.lang.String` `getMsgId()` Gets the value of the msgId property.
`java.lang.String` `getNbOfTxs()` Gets the value of the nbOfTxs property.
`void` `setCreDtTm​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the creDtTm property.
`void` `setCtrlSum​(java.math.BigDecimal value)` Sets the value of the ctrlSum property.
`void` `setGrpg​(Grouping2Code value)` Sets the value of the grpg property.
`void` `setInitgPty​(PartyIdentification20 value)` Sets the value of the initgPty property.
`void` `setMsgId​(java.lang.String value)` Sets the value of the msgId property.
`void` `setNbOfTxs​(java.lang.String value)` Sets the value of the nbOfTxs property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### msgId

    protected java.lang.String msgId

#### creDtTm

    protected javax.xml.datatype.XMLGregorianCalendar creDtTm

#### nbOfTxs

    protected java.lang.String nbOfTxs

#### ctrlSum

    protected java.math.BigDecimal ctrlSum

#### grpg

    protected Grouping2Code grpg

#### initgPty

    protected PartyIdentification20 initgPty

### Constructor Detail

#### GroupHeader20

    public GroupHeader20()

### Method Detail

#### getMsgId

    public java.lang.String getMsgId()

Gets the value of the msgId property.

Returns:
  possible object is `String`

#### setMsgId

    public void setMsgId​(java.lang.String value)

Sets the value of the msgId property.

Parameters:
  `value` - allowed object is `String`

#### getCreDtTm

    public javax.xml.datatype.XMLGregorianCalendar getCreDtTm()

Gets the value of the creDtTm property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setCreDtTm

    public void setCreDtTm​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the creDtTm property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getNbOfTxs

    public java.lang.String getNbOfTxs()

Gets the value of the nbOfTxs property.

Returns:
  possible object is `String`

#### setNbOfTxs

    public void setNbOfTxs​(java.lang.String value)

Sets the value of the nbOfTxs property.

Parameters:
  `value` - allowed object is `String`

#### getCtrlSum

    public java.math.BigDecimal getCtrlSum()

Gets the value of the ctrlSum property.

Returns:
  possible object is `BigDecimal`

#### setCtrlSum

    public void setCtrlSum​(java.math.BigDecimal value)

Sets the value of the ctrlSum property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getGrpg

    public Grouping2Code getGrpg()

Gets the value of the grpg property.

Returns:
  possible object is `Grouping2Code`

#### setGrpg

    public void setGrpg​(Grouping2Code value)

Sets the value of the grpg property.

Parameters:
  `value` - allowed object is `Grouping2Code`

#### getInitgPty

    public PartyIdentification20 getInitgPty()

Gets the value of the initgPty property.

Returns:
  possible object is `PartyIdentification20`

#### setInitgPty

    public void setInitgPty​(PartyIdentification20 value)

Sets the value of the initgPty property.

Parameters:
  `value` - allowed object is `PartyIdentification20`